_Auxiliary_Code:
LDA.x	R0, #AlignedAddress(GPIO_PIN47_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN47_bit+0)=0
STI.x	GPIO_PIN47_bit+0, #AlignedAddress(R0)
NOP	
LDA.x	R0, #AlignedAddress(GPIO_PIN47_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN47_bit+0)=1
STI.x	GPIO_PIN47_bit+0, #AlignedAddress(R0)
L_end_Auxiliary_Code:
RETURN	
; end of _Auxiliary_Code
_Set_Index:
; index start address is: 0 (R0)
; index end address is: 0 (R0)
; index start address is: 0 (R0)
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=0
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
NOP	
STA.B	GPIO_PORT_32_39+0, R0
; index end address is: 0 (R0)
NOP	
NOP	
CALL	_Auxiliary_Code+0
L_end_Set_Index:
RETURN	
; end of _Set_Index
_Write_Command:
; cmd start address is: 0 (R0)
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=1
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
NOP	
STA.B	GPIO_PORT_32_39+0, R0
; cmd end address is: 0 (R0)
NOP	
NOP	
CALL	_Auxiliary_Code+0
L_end_Write_Command:
RETURN	
; end of _Write_Command
_Write_Data:
LINK	LR, #4
STI.S	SP, #0, R0
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=1
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
NOP	
ADD.L	R1, SP, #0
ADD.L	R1, R1, #1
LDI.B	R1, R1, #0
STA.B	GPIO_PORT_32_39+0, R1
NOP	
NOP	
CALL	_Auxiliary_Code+0
NOP	
ADD.L	R1, SP, #0
LDI.B	R1, R1, #0
STA.B	GPIO_PORT_32_39+0, R1
NOP	
NOP	
CALL	_Auxiliary_Code+0
L_end_Write_Data:
UNLINK	LR
RETURN	
; end of _Write_Data
pwm_driver_MCU_Init:
LDK.L	R0, #250000
CALL	_PWM_Init+0
STA.S	_pwm_period+0, R0
LDK.L	R2, #0
LDK.L	R1, #1
CALL	_PWM_ConfigChannel+0
CALL	_PWM_EnableOutput+0
L_end_MCU_Init:
RETURN	
; end of pwm_driver_MCU_Init
pwm_driver_Display_Init:
LDK.L	R2, #_Write_Data+0
LDK.L	R1, #_Write_Command+0
LDK.L	R0, #_Set_Index+0
CALL	_TFT_Set_Active+0
LDK.L	R1, #240
LDK.L	R0, #320
CALL	_TFT_Init_ILI9341_8bit+0
LDA.x	R0, #AlignedAddress(GPIO_PIN58_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN58_bit+0)=1
STI.x	GPIO_PIN58_bit+0, #AlignedAddress(R0)
LDK.L	R1, #1
LDK.L	R0, #65535
CALL	_TFT_Set_Pen+0
LDK.L	R5, #0
LDK.L	R4, #0
LDK.L	R3, #0
LDK.L	R2, #0
LDK.L	R1, #65535
LDK.L	R0, #1
CALL	_TFT_Set_Brush+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #65535
CALL	_TFT_Fill_Screen+0
LDK.L	R1, #1
LDK.L	R0, #0
CALL	_TFT_Set_Pen+0
LDK.L	R3, #220
LDK.L	R2, #300
LDK.L	R1, #220
LDK.L	R0, #20
CALL	_TFT_Line+0
LDK.L	R3, #46
LDK.L	R2, #300
LDK.L	R1, #46
LDK.L	R0, #20
CALL	_TFT_Line+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_HandelGothic_BT21x22_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr1_pwm_driver+0
LDK.L	R2, #14
LDK.L	R1, #90
CALL	_TFT_Write_Text+0
LDK.L	R0, #?lstr2_pwm_driver+0
LDK.L	R2, #100
LDK.L	R1, #40
CALL	_TFT_Write_Text+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_HandelGothic_BT21x22_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr3_pwm_driver+0
LDK.L	R2, #100
LDK.L	R1, #200
CALL	_TFT_Write_Text+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_Verdana12x13_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr4_pwm_driver+0
LDK.L	R2, #223
LDK.L	R1, #19
CALL	_TFT_Write_Text+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_Verdana12x13_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr5_pwm_driver+0
LDK.L	R2, #223
LDK.L	R1, #200
CALL	_TFT_Write_Text+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
L_end_Display_Init:
RETURN	
; end of pwm_driver_Display_Init
_main:
LDK.L	SP, #43605
CALL	pwm_driver_MCU_Init+0
CALL	pwm_driver_Display_Init+0
L_main0:
LDK.L	R0, #1
CALL	_ADC_Read+0
STA.S	_adc_rd+0, R0
LPM.L	R28, #33331
NOP	
L_main2:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_main2
JMP	$+8
	#33331
NOP	
NOP	
LDA.S	R0, _adc_rd+0
LSHR.L	R0, R0, #1
STA.S	_pwm_period+0, R0
LDK.L	R2, #0
LDK.L	R1, #1
CALL	_PWM_ConfigChannel+0
LDK.L	R2, #0
LDK.L	R1, #65535
LDK.L	R0, #_HandelGothic_BT21x22_Regular+0
CALL	_TFT_Set_Font+0
LDA.S	R4, _adc_rd+0
CALL	__Unsigned16IntToFloat+0
LDK.L	R6, #1092857364
LDL.L	R6, R6, #1092857364
MOVE.L	R4, R0
CALL	__Div_FP+0
MOVE.L	R4, R0
CALL	__FloatToSignedIntegral+0
LDK.L	R1, #_txt+0
CALL	_IntToStr+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_HandelGothic_BT21x22_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R1, #1
LDK.L	R0, #65535
CALL	_TFT_Set_Pen+0
LDK.L	R3, #125
LDK.L	R2, #194
LDK.L	R1, #100
LDK.L	R0, #145
CALL	_TFT_Rectangle+0
LDK.L	R2, #100
LDK.L	R1, #150
LDK.L	R0, #_txt+0
CALL	_TFT_Write_Text+0
LDK.L	R1, #1
LDK.L	R0, #0
CALL	_TFT_Set_Pen+0
LPM.L	R28, #666665
NOP	
L_main4:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_main4
JMP	$+8
	#666665
JMP	L_main0
L_end_main:
L__main_end_loop:
JMP	L__main_end_loop
; end of _main
